NemoMath - Feature #811
Vector initialization via arrays
01/20/2012 01:31 PM - C. Emmerich

Status: Resolved Start date: 01/20/2012
Priority: Normal Due date:

Assignee: M. Rolf % Done: 100%
Category: Estimated time: 0.00 hour
Target version: NemoMath 0.4

Description

It would be nice to initialize a vector with an array of the specific type, e.g. something like this:

double values[my_dim];
RealVector v(dim(my_dim), values);

Thx ;)

History

#1 - 01/23/2012 11:44 AM - M. Rolf
- Target version set to NemoMath 0.4

#2 - 01/23/2012 05:02 PM - M. Rolf
- Status changed from New to Resolved
- % Done changed from 0 to 100

In order to avoid type confusion among the overloaded constructor, this one uses a static factory method:

double vals[3];
vals[0] = 1.0; vals[1] = 2.0; vals[2] = 3.0;
RealVector vec = RealVector::fromArray(dim(3),vals);
